import { OnDestroy } from '@angular/core';
import { TransactionService } from '../../service/transaction.service';
import { TransactionEventService } from '../../service/transaction-event.service';
export declare class TransactionNumberLabelComponent implements OnDestroy {
    private _transactionService;
    private _transactionEventService;
    showClass(): boolean;
    label: string;
    private _subs;
    constructor(_transactionService: TransactionService, _transactionEventService: TransactionEventService);
    ngOnDestroy(): void;
}
